---
title: HTML element page template
slug: MDN/Structures/Page_types/HTML_element_page_template
tags:
  - Element
  - HTML
  - Template
  - reference page
---
<div>{{MDNSidebar}}</div>

<div class="note">
<h2 id="Remove_before_publishing">Remove before publishing</h2>

<h3 id="Title_and_slug">Title and slug</h3>

<p>An HTML element page should have a <em>title</em> of <em>"&lt;" + Name</em>Of<em>TheElement + "&gt;"</em> + <em>Description of element's purpose</em>. For example, the <code><a href="/en-US/docs/Web/HTML/Element/video">&lt;video&gt;</a></code> element has a <em>title</em> of <em>&lt;video&gt;: The Video Embed element</em>.</p>

<p>The <em>Slug</em> (the last segment at the end of the URL) should be filled in as <em>NameOfTheElement</em>, so <code>&lt;video&gt;</code>'s slug is <em>video</em>.</p>

<h3 id="Top_macros">Top macros</h3>

<p>There are four macro calls at the top of the template by default. You should update or delete them according to the advice below:</p>

<ul>
	<li>\{{draft()}} — this generates a <strong>Draft</strong> banner that indicates that the page is not yet complete, and should only be removed when the first draft of the page is completely finished. After it is ready to be published, you can remove this.</li>
	<li>\{{SeeCompatTable}} — this generates a <strong>This is an experimental technology</strong> banner that indicates the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Experimental">experimental</a>). If the technology you are documenting is not experimental, you can remove this. If it is experimental, and the technology is hidden behind a pref in Firefox, you should also fill in an entry for it in the <a href="/en-US/docs/Mozilla/Firefox/Experimental_features">Experimental features in Firefox</a> page.</li>
	<li>\{{deprecated_header}} — this generates a <strong>Deprecated</strong> banner that indicates the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Deprecated_and_obsolete">deprecated</a>. If it isn't, then you can remove the macro call.</li>
	<li>
	<div>\{{htmlref}} — this generates a suitable HTML sidebar, depending on what tags are included on the page.</div>
	</li>
</ul>

<h3 id="Tags">Tags</h3>

<p>In an HTML element subpage, you need to include the following tags (see the <em>Tags</em> section at the bottom of the editor UI): <strong>HTML</strong>, <strong>Reference</strong>, <strong>Element</strong>, <em>the name of the Element</em> (e.g. <strong>ol</strong>), <strong>HTML grouping content</strong>/<strong>HTML flow content</strong> as appropriate, <strong>Experimental</strong> (if the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Experimental">experimental</a>), and <strong>Deprecated</strong> (if it is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Deprecated_and_obsolete">deprecated</a>).</p>

<h3 id="Browser_compatibility">Browser compatibility</h3>

<p>To fill in the browser compat data, you first need to fill in an entry for the API into our <a href="https://github.com/mdn/browser-compat-data">Browser compat data repo</a> — see our <a href="/en-US/docs/MDN/Contribute/Structures/Compatibility_tables#The_new_way_The_browser_compat_data_repo_and_dynamic_tables">guide on how to do this</a>. Note that for HTML elements, most of the work has already been done — you just need to check that an entry is available.</p>

<p>Once that is done, you can show the compat data for the method with a \{{Compat()}} macro call.</p>
</div>

<div>{{draft}}{{SeeCompatTable}}{{deprecated_header}}{{htmlref}}</div>

<p>The summary paragraph — start by naming the element and saying what it does. This should ideally be 1 or 2 short sentences.</p>

<div>\{{EmbedInteractiveExample("pages/tabbed/nameOfElement.html", "tabbed-standard")}}</div>

<p>The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request. <em>— THIS TEXT SHOULD BE HIDDEN USING THE "hidden" INLINE STYLE</em></p>

<p>Further information — at this point, include a few more paragraphs explaining the most important things you need to know about using the element and its main features. It is good to explain briefly what is going on in the interactive example if it is not immediately obvious. You could also explain key points about how this element interacts with important related JavaScript or CSS features. Not too much detail — you don't want to repeat the documentation across pages — but a key point plus a link to that feature's page would be useful. Again, see the <code>&lt;video&gt;</code> page for an example.</p>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
	<dt>{{htmlattrdef("attribute1")}}{{Deprecated_inline}}{{experimental_inline}}</dt>
	<dd>Include description here of what the attribute does. Include one term and definition for each attribute. If the attribute is not experimental/deprecated, remove the relevant macro calls.</dd>
	<dt>{{htmlattrdef("attribute2")}}</dt>
	<dd>etc.</dd>
</dl>

<h2 id="Events">Events</h2>

<p>Include a table of the events fired on this type of element, if any.</p>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Event name</th>
			<th scope="col">Fired when</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>event 1</td>
			<td>Explain briefly when it is fired...</td>
		</tr>
		<tr>
			<td>event 2</td>
			<td>Explain briefly when it is fired...</td>
		</tr>
		<tr>
			<td>etc.</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Fill in a simple example that nicely shows a typical usage of the element, then perhaps some more complex examples (see our guide on how to add <a href="/en-US/docs/MDN/Contribute/Structures/Code_examples">code examples</a> for more information).</p>

<pre class="brush: js notranslate">my code block</pre>

<p>And/or include a list of links to useful code samples that live elsewhere:</p>

<ul>
	<li>x</li>
	<li>y</li>
	<li>z</li>
</ul>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Optionally, warn of any potential accessibility concerns that exist with using this element, and how to work around them. Remove this section if there are none to list.</p>

<h2 id="Technical_summary">Technical summary</h2>

<table class="properties">
	<tbody>
		<tr>
			<th scope="row"><a href="/en-US/docs/HTML/Content_categories">Content categories</a></th>
			<td>Fill in a list of the content categories the HTML element belongs to.</td>
		</tr>
		<tr>
			<th scope="row">Permitted content</th>
			<td>What content is the element allowed to contain?</td>
		</tr>
		<tr>
			<th scope="row">Tag omission</th>
			<td>Can the end tag be omitted, or must it be present? Must it be omitted?</td>
		</tr>
		<tr>
			<th scope="row">Permitted parents</th>
			<td>What parent elements can the element be a child of? For example "Any element that accepts <a href="/en-US/docs/HTML/Content_categories#flow_content">flow content</a>."</td>
		</tr>
		<tr>
			<th scope="row">Permitted ARIA roles</th>
			<td>Fill in a list of ARIA roles that can be set on the element, inside \{{ARIARole("nameOfRole")}} macro calls. For example {{ARIARole("directory")}}.</td>
		</tr>
		<tr>
			<th scope="row">DOM interface</th>
			<td>What DOM interface represents the element in JavaScript? For example {{domxref("HTMLOListElement")}} in the case of ol.</td>
		</tr>
	</tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Comment</th>
			<th scope="col">Feedback</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("NameOfSpecificationfromSpecName","#document-fragment-linking-directly-to-element-definition","NameOfTheElement")}}</td>
			<td>Useful comment if there is one. Otherwise remove column</td>
			<td>Link to useful place to give feedback on the particular spec, e.g. Github issues. If there isn't one, remove column.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility_2">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("path.to.feature.NameOfTheElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>Include list of</li>
	<li>other links related to</li>
	<li>this Element that might</li>
	<li>be useful</li>
</ul>
